nodejs-libs-10.16.3-1.fc29.x86_64.rpm


Advertisement

Description

nodejs-libs - Node.js and v8 libraries

Property Value
Distribution Fedora 29
Repository Fedora Updates x86_64
Package filename nodejs-libs-10.16.3-1.fc29.x86_64.rpm
Package name nodejs-libs
Package version 10.16.3
Package release 1.fc29
Package architecture x86_64
Package type rpm
Category Development/Languages
Homepage http://nodejs.org/
License MIT and ASL 2.0 and ISC and BSD
Maintainer -
Download size 8.74 MB
Installed size 40.06 MB
Libraries to support Node.js and provide stable v8 interfaces.

Alternatives

Package Version Architecture Repository
nodejs-libs-10.16.3-1.fc29.i686.rpm 10.16.3 i686 Fedora Updates
nodejs-libs-10.16.3-1.fc29.i686.rpm 10.16.3 i686 Fedora Updates
nodejs-libs - - -

Requires

Name Value
ld-linux-x86-64.so.2()(64bit) -
ld-linux-x86-64.so.2(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.28)(64bit) -
libcrypto.so.1.1()(64bit) -
libcrypto.so.1.1(OPENSSL_1_1_0)(64bit) -
libcrypto.so.1.1(OPENSSL_1_1_1)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgcc_s.so.1(GCC_3.4)(64bit) -
libhttp_parser.so.2()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libnghttp2.so.14()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libpthread.so.0(GLIBC_2.3.3)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libssl.so.1.1()(64bit) -
libssl.so.1.1(OPENSSL_1_1_0)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.2)(64bit) -
libstdc++.so.6(CXXABI_1.3.5)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.14)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.18)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.20)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libuv.so.1()(64bit) -
libz.so.1()(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
libnode.so.64()(64bit) -
libv8.so.6()(64bit) -
libv8_libbase.so.6()(64bit) -
libv8_libplatform.so.6()(64bit) -
nodejs-libs = 10.16.3-1.fc29
nodejs-libs(x86-64) = 10.16.3-1.fc29
v8 = 6.8.275.32-1.fc29
v8(x86-64) = 6.8.275.32-1.fc29

Obsoletes

Name Value
v8 < 6.7.17-10

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package nodejs-libs-10.16.3-1.fc29.x86_64.rpm
Source Package nodejs-10.16.3-1.fc29.src.rpm

Install Howto

Install nodejs-libs rpm package:

# dnf install nodejs-libs

Files

Path
/usr/lib/.build-id/
/usr/lib/.build-id/25/20ab60137df534dba1df1b716a195115a1201f
/usr/lib64/libnode.so.64
/usr/lib64/libv8.so.6
/usr/lib64/libv8_libbase.so.6
/usr/lib64/libv8_libplatform.so.6

Changelog

2019-08-16 - Stephen Gallagher <sgallagh@redhat.com> - 1:10.16.3-1
- Update to 10.16.3 security release
- Resolves: CVE-2019-9511 "Data Dribble"
- Resolves: CVE-2019-9512 "Ping Flood"
- Resolves: CVE-2019-9513 "Resource Loop"
- Resolves: CVE-2019-9514 "Reset Flood"
- Resolves: CVE-2019-9515 "Settings Flood"
- Resolves: CVE-2019-9516 "0-Length Headers Leak"
- Resolves: CVE-2019-9517 "Internal Data Buffering"
- Resolves: CVE-2019-9518 "Empty Frames Flood"
- https://github.com/nodejs/node/blob/v10.16.3/doc/changelogs/CHANGELOG_V10.md
2019-06-03 - Stephen Gallagher <sgallagh@redhat.com> - 1:10.16.0-3
- Change v8-devel release stream to avoid duplicate NEVRAs
2019-05-31 - Stephen Gallagher <sgallagh@redhat.com> - 1:10.16.0-1
- Update to 10.16.0
- https://nodejs.org/en/blog/release/v10.16.0/
2019-04-24 - Stephen Gallagher <sgallagh@redhat.com> - 1:10.15.3-2
- Fix upgrade bug for v8-devel (BZ #1702609)
2019-04-09 - Stephen Gallagher <sgallagh@redhat.com> - 1:10.15.3-1
- Update to 10.15.3
- https://nodejs.org/en/blog/release/v10.15.3/
- Drop upstreamed patch
2019-04-09 - Stephen Gallagher <sgallagh@redhat.com> - 1:10.15.2-3
- Separate nodejs-libs out to its own subpackage
- Clean up compatibility virtual Provides
- Set epoch for v8-devel to maintain upgrade path
2019-03-17 - Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1:10.15.2-2
- Drop debug executable
- Build with a shared library
- Add v8 compatibility subpackage
2019-03-01 - Stephen Gallagher <sgallagh@redhat.com> - 1:10.15.2-1
- Update to 10.15.2
- https://nodejs.org/en/blog/release/v10.15.1/
- https://nodejs.org/en/blog/release/v10.15.2/
2019-01-02 - Stephen Gallagher <sgallagh@redhat.com> - 1:10.15.0-1
- Update to 10.15.0
- https://nodejs.org/en/blog/release/v10.15.0/
2018-11-29 - Stephen Gallagher <sgallagh@redhat.com> - 1:10.14.1-1
- Update to 10.14.1
- https://nodejs.org/en/blog/release/v10.14.0/
- https://nodejs.org/en/blog/release/v10.14.1/

See Also

Package Description
nodejs-nanomsg-4.0.2-3.fc29.x86_64.rpm nanomsg for node
nodejs-rhea-1.0.7-1.fc29.noarch.rpm A reactive messaging library based on the AMQP protocol
nodejs-simple-markdown-0.4.4-1.fc29.noarch.rpm Javascript markdown parsing, made simple
nodejs-upm-1.7.1-1.fc29.x86_64.rpm NodeJS package for sensors and actuators
nodejs-yarn-1.13.0-1.fc29.noarch.rpm Fast, reliable, and secure dependency management
nordugrid-arc-5.4.4-1.fc29.i686.rpm Advanced Resource Connector Grid Middleware
nordugrid-arc-5.4.4-1.fc29.x86_64.rpm Advanced Resource Connector Grid Middleware
nordugrid-arc-acix-cache-5.4.4-1.fc29.noarch.rpm ARC cache index - cache server
nordugrid-arc-acix-core-5.4.4-1.fc29.noarch.rpm ARC cache index - core
nordugrid-arc-acix-index-5.4.4-1.fc29.noarch.rpm ARC cache index - index server
nordugrid-arc-arex-5.4.4-1.fc29.x86_64.rpm ARC Remote EXecution service
nordugrid-arc-aris-5.4.4-1.fc29.noarch.rpm ARC local information system
nordugrid-arc-ca-utils-5.4.4-1.fc29.noarch.rpm NorduGrid authentication tools
nordugrid-arc-cache-service-5.4.4-1.fc29.x86_64.rpm ARC cache service
nordugrid-arc-client-5.4.4-1.fc29.x86_64.rpm ARC command line interface
Advertisement
Advertisement